#include <fstream>
using namespace std;
int main ()
{
	ifstream f1("sotnn.inp");
	int N;
	f1>>N;
	f1.close();
	int Sa; float tbca; Sa=0;
	for (int i=1; i>N;i--)
	{
		if (i%2==1) {Sa=Sa+1;
		int dem = dem+1;
		 }
	}
	tbca= Sa/float (Sa);
	ofstream f2("sotnn.out");
	f2.setf(ios::fixed);
	f2.setf(ios::showpoint);
	f2.precision(2);
	f2<<Sa<<" "<<tbca<<endl;
	return 0;
	}
